summaryrefslogtreecommitdiff
path: root/fetcher/fetch.sh
diff options
context:
space:
mode:
Diffstat (limited to 'fetcher/fetch.sh')
-rwxr-xr-xfetcher/fetch.sh9
1 files changed, 3 insertions, 6 deletions
diff --git a/fetcher/fetch.sh b/fetcher/fetch.sh
index ae18eeb..e083ee5 100755
--- a/fetcher/fetch.sh
+++ b/fetcher/fetch.sh
@@ -1,10 +1,8 @@
#!/bin/bash
pushd $(dirname $0) > /dev/null
wget -N http://ergast.com/downloads/f1db.sql.gz -q
-if [[ $? != 0 ]]
-then
- if [[ -f f1db.sql.gz ]]
- then
+if [[ $? != 0 ]]; then
+ if [[ -f f1db.sql.gz ]]; then
echo "Warning: could not fetch new DB, using archived version"
else
echo "Error: could not fetch DB"
@@ -12,8 +10,7 @@ then
exit 1
fi
fi
-if [[ f1db.sql.gz -nt f1db.sql ]]
-then
+if [[ f1db.sql.gz -nt f1db.sql ]]; then
echo "Found new ErgastDB version"
zcat f1db.sql.gz | sed 's/ ENGINE=MyISAM//' > f1db.sql
find -name f1db.sql.gz -printf '%f: %Td-%Tm-%TY %TH:%TM, %s bytes\n'